csGLExtensionFlags Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
csGLExtensionFlags Struct Reference

Struct containing all GL extension test flags. More...

`#include <csplugincommon/opengl/glextmanager.h>`

Inheritance diagram for csGLExtensionFlags:

List of all members.

## Public Attributes
bool | CS_GL_3DFX_texture_compression_FXT1
| Whether the GL_3DFX_texture_compression_FXT1 extension was found.
bool | CS_GL_AMD_seamless_cubemap_per_texture
| Whether the GL_AMD_seamless_cubemap_per_texture extension was found.
bool | CS_GL_APPLE_client_storage
| Whether the GL_APPLE_client_storage extension was found.
bool | CS_GL_APPLE_element_array
| Whether the GL_APPLE_element_array extension was found.
bool | CS_GL_APPLE_fence
| Whether the GL_APPLE_fence extension was found.
bool | CS_GL_APPLE_vertex_array_object
| Whether the GL_APPLE_vertex_array_object extension was found.
bool | CS_GL_APPLE_vertex_array_range
| Whether the GL_APPLE_vertex_array_range extension was found.
bool | CS_GL_ARB_color_buffer_float
| Whether the GL_ARB_color_buffer_float extension was found.
bool | CS_GL_ARB_depth_buffer_float
| Whether the GL_ARB_depth_buffer_float extension was found.
bool | CS_GL_ARB_depth_texture
| Whether the GL_ARB_depth_texture extension was found.
bool | CS_GL_ARB_draw_buffers
| Whether the GL_ARB_draw_buffers extension was found.
bool | CS_GL_ARB_draw_instanced
| Whether the GL_ARB_draw_instanced extension was found.
bool | CS_GL_ARB_fragment_program
| Whether the GL_ARB_fragment_program extension was found.
bool | CS_GL_ARB_fragment_shader
| Whether the GL_ARB_fragment_shader extension was found.
bool | CS_GL_ARB_framebuffer_sRGB
| Whether the GL_ARB_framebuffer_sRGB extension was found.
bool | CS_GL_ARB_half_float_pixel
| Whether the GL_ARB_half_float_pixel extension was found.
bool | CS_GL_ARB_half_float_vertex
| Whether the GL_ARB_half_float_vertex extension was found.
bool | CS_GL_ARB_imaging
| Whether the GL_ARB_imaging extension was found.
bool | CS_GL_ARB_instanced_arrays
| Whether the GL_ARB_instanced_arrays extension was found.
bool | CS_GL_ARB_map_buffer_range
| Whether the GL_ARB_map_buffer_range extension was found.
bool | CS_GL_ARB_matrix_palette
| Whether the GL_ARB_matrix_palette extension was found.
bool | CS_GL_ARB_multisample
| Whether the GL_ARB_multisample extension was found.
bool | CS_GL_ARB_multitexture
| Whether the GL_ARB_multitexture extension was found.
bool | CS_GL_ARB_occlusion_query
| Whether the GL_ARB_occlusion_query extension was found.
bool | CS_GL_ARB_occlusion_query2
| Whether the GL_ARB_occlusion_query2 extension was found.
bool | CS_GL_ARB_pixel_buffer_object
| Whether the GL_ARB_pixel_buffer_object extension was found.
bool | CS_GL_ARB_point_parameters
| Whether the GL_ARB_point_parameters extension was found.
bool | CS_GL_ARB_point_sprite
| Whether the GL_ARB_point_sprite extension was found.
bool | CS_GL_ARB_seamless_cube_map
| Whether the GL_ARB_seamless_cube_map extension was found.
bool | CS_GL_ARB_shader_objects
| Whether the GL_ARB_shader_objects extension was found.
bool | CS_GL_ARB_shading_language_100
| Whether the GL_ARB_shading_language_100 extension was found.
bool | CS_GL_ARB_shadow
| Whether the GL_ARB_shadow extension was found.
bool | CS_GL_ARB_shadow_ambient
| Whether the GL_ARB_shadow_ambient extension was found.
bool | CS_GL_ARB_texture_border_clamp
| Whether the GL_ARB_texture_border_clamp extension was found.
bool | CS_GL_ARB_texture_compression
| Whether the GL_ARB_texture_compression extension was found.
bool | CS_GL_ARB_texture_compression_rgtc
| Whether the GL_ARB_texture_compression_rgtc extension was found.
bool | CS_GL_ARB_texture_cube_map
| Whether the GL_ARB_texture_cube_map extension was found.
bool | CS_GL_ARB_texture_env_add
| Whether the GL_ARB_texture_env_add extension was found.
bool | CS_GL_ARB_texture_env_combine
| Whether the GL_ARB_texture_env_combine extension was found.
bool | CS_GL_ARB_texture_env_crossbar
| Whether the GL_ARB_texture_env_crossbar extension was found.
bool | CS_GL_ARB_texture_env_dot3
| Whether the GL_ARB_texture_env_dot3 extension was found.
bool | CS_GL_ARB_texture_float
| Whether the GL_ARB_texture_float extension was found.
bool | CS_GL_ARB_texture_mirrored_repeat
| Whether the GL_ARB_texture_mirrored_repeat extension was found.
bool | CS_GL_ARB_texture_non_power_of_two
| Whether the GL_ARB_texture_non_power_of_two extension was found.
bool | CS_GL_ARB_texture_rectangle
| Whether the GL_ARB_texture_rectangle extension was found.
bool | CS_GL_ARB_texture_rg
| Whether the GL_ARB_texture_rg extension was found.
bool | CS_GL_ARB_timer_query
| Whether the GL_ARB_timer_query extension was found.
bool | CS_GL_ARB_transpose_matrix
| Whether the GL_ARB_transpose_matrix extension was found.
bool | CS_GL_ARB_vertex_blend
| Whether the GL_ARB_vertex_blend extension was found.
bool | CS_GL_ARB_vertex_buffer_object
| Whether the GL_ARB_vertex_buffer_object extension was found.
bool | CS_GL_ARB_vertex_program
| Whether the GL_ARB_vertex_program extension was found.
bool | CS_GL_ARB_vertex_shader
| Whether the GL_ARB_vertex_shader extension was found.
bool | CS_GL_ARB_window_pos
| Whether the GL_ARB_window_pos extension was found.
bool | CS_GL_ATI_element_array
| Whether the GL_ATI_element_array extension was found.
bool | CS_GL_ATI_envmap_bumpmap
| Whether the GL_ATI_envmap_bumpmap extension was found.
bool | CS_GL_ATI_fragment_shader
| Whether the GL_ATI_fragment_shader extension was found.
bool | CS_GL_ATI_pn_triangles
| Whether the GL_ATI_pn_triangles extension was found.
bool | CS_GL_ATI_separate_stencil
| Whether the GL_ATI_separate_stencil extension was found.
bool | CS_GL_ATI_text_fragment_shader
| Whether the GL_ATI_text_fragment_shader extension was found.
bool | CS_GL_ATI_texture_mirror_once
| Whether the GL_ATI_texture_mirror_once extension was found.
bool | CS_GL_ATI_vertex_array_object
| Whether the GL_ATI_vertex_array_object extension was found.
bool | CS_GL_ATI_vertex_attrib_array_object
| Whether the GL_ATI_vertex_attrib_array_object extension was found.
bool | CS_GL_ATI_vertex_streams
| Whether the GL_ATI_vertex_streams extension was found.
bool | CS_GL_EXT_422_pixels
| Whether the GL_EXT_422_pixels extension was found.
bool | CS_GL_EXT_abgr
| Whether the GL_EXT_abgr extension was found.
bool | CS_GL_EXT_bgra
| Whether the GL_EXT_bgra extension was found.
bool | CS_GL_EXT_blend_color
| Whether the GL_EXT_blend_color extension was found.
bool | CS_GL_EXT_blend_equation_separate
| Whether the GL_EXT_blend_equation_separate extension was found.
bool | CS_GL_EXT_blend_func_separate
| Whether the GL_EXT_blend_func_separate extension was found.
bool | CS_GL_EXT_blend_logic_op
| Whether the GL_EXT_blend_logic_op extension was found.
bool | CS_GL_EXT_blend_minmax
| Whether the GL_EXT_blend_minmax extension was found.
bool | CS_GL_EXT_blend_subtract
| Whether the GL_EXT_blend_subtract extension was found.
bool | CS_GL_EXT_clip_volume_hint
| Whether the GL_EXT_clip_volume_hint extension was found.
bool | CS_GL_EXT_color_subtable
| Whether the GL_EXT_color_subtable extension was found.
bool | CS_GL_EXT_compiled_vertex_array
| Whether the GL_EXT_compiled_vertex_array extension was found.
bool | CS_GL_EXT_convolution
| Whether the GL_EXT_convolution extension was found.
bool | CS_GL_EXT_fog_coord
| Whether the GL_EXT_fog_coord extension was found.
bool | CS_GL_EXT_framebuffer_object
| Whether the GL_EXT_framebuffer_object extension was found.
bool | CS_GL_EXT_gpu_program_parameters
| Whether the GL_EXT_gpu_program_parameters extension was found.
bool | CS_GL_EXT_histogram
| Whether the GL_EXT_histogram extension was found.
bool | CS_GL_EXT_multi_draw_arrays
| Whether the GL_EXT_multi_draw_arrays extension was found.
bool | CS_GL_EXT_packed_depth_stencil
| Whether the GL_EXT_packed_depth_stencil extension was found.
bool | CS_GL_EXT_packed_pixels
| Whether the GL_EXT_packed_pixels extension was found.
bool | CS_GL_EXT_paletted_texture
| Whether the GL_EXT_paletted_texture extension was found.
bool | CS_GL_EXT_pixel_buffer_object
| Whether the GL_EXT_pixel_buffer_object extension was found.
bool | CS_GL_EXT_point_parameters
| Whether the GL_EXT_point_parameters extension was found.
bool | CS_GL_EXT_polygon_offset
| Whether the GL_EXT_polygon_offset extension was found.
bool | CS_GL_EXT_secondary_color
| Whether the GL_EXT_secondary_color extension was found.
bool | CS_GL_EXT_separate_specular_color
| Whether the GL_EXT_separate_specular_color extension was found.
bool | CS_GL_EXT_shadow_funcs
| Whether the GL_EXT_shadow_funcs extension was found.
bool | CS_GL_EXT_shared_texture_palette
| Whether the GL_EXT_shared_texture_palette extension was found.
bool | CS_GL_EXT_stencil_two_side
| Whether the GL_EXT_stencil_two_side extension was found.
bool | CS_GL_EXT_stencil_wrap
| Whether the GL_EXT_stencil_wrap extension was found.
bool | CS_GL_EXT_subtexture
| Whether the GL_EXT_subtexture extension was found.
bool | CS_GL_EXT_texture3D
| Whether the GL_EXT_texture3D extension was found.
bool | CS_GL_EXT_texture_compression_s3tc
| Whether the GL_EXT_texture_compression_s3tc extension was found.
bool | CS_GL_EXT_texture_env_add
| Whether the GL_EXT_texture_env_add extension was found.
bool | CS_GL_EXT_texture_env_combine
| Whether the GL_EXT_texture_env_combine extension was found.
bool | CS_GL_EXT_texture_env_dot3
| Whether the GL_EXT_texture_env_dot3 extension was found.
bool | CS_GL_EXT_texture_filter_anisotropic
| Whether the GL_EXT_texture_filter_anisotropic extension was found.
bool | CS_GL_EXT_texture_lod_bias
| Whether the GL_EXT_texture_lod_bias extension was found.
bool | CS_GL_EXT_texture_object
| Whether the GL_EXT_texture_object extension was found.
bool | CS_GL_EXT_texture_rectangle
| Whether the GL_EXT_texture_rectangle extension was found.
bool | CS_GL_EXT_texture_sRGB
| Whether the GL_EXT_texture_sRGB extension was found.
bool | CS_GL_EXT_vertex_array
| Whether the GL_EXT_vertex_array extension was found.
bool | CS_GL_EXT_vertex_shader
| Whether the GL_EXT_vertex_shader extension was found.
bool | CS_GL_EXT_vertex_weighting
| Whether the GL_EXT_vertex_weighting extension was found.
bool | CS_GL_GREMEDY_string_marker
| Whether the GL_GREMEDY_string_marker extension was found.
bool | CS_GL_HP_occlusion_test
| Whether the GL_HP_occlusion_test extension was found.
bool | CS_GL_IBM_cull_vertex
| Whether the GL_IBM_cull_vertex extension was found.
bool | CS_GL_IBM_multimode_draw_arrays
| Whether the GL_IBM_multimode_draw_arrays extension was found.
bool | CS_GL_IBM_raster_pos_clip
| Whether the GL_IBM_raster_pos_clip extension was found.
bool | CS_GL_IBM_texture_mirrored_repeat
| Whether the GL_IBM_texture_mirrored_repeat extension was found.
bool | CS_GL_IBM_vertex_array_lists
| Whether the GL_IBM_vertex_array_lists extension was found.
bool | CS_GL_MESA_resize_buffers
| Whether the GL_MESA_resize_buffers extension was found.
bool | CS_GL_MESA_window_pos
| Whether the GL_MESA_window_pos extension was found.
bool | CS_GL_NV_blend_square
| Whether the GL_NV_blend_square extension was found.
bool | CS_GL_NV_copy_depth_to_color
| Whether the GL_NV_copy_depth_to_color extension was found.
bool | CS_GL_NV_depth_clamp
| Whether the GL_NV_depth_clamp extension was found.
bool | CS_GL_NV_element_array
| Whether the GL_NV_element_array extension was found.
bool | CS_GL_NV_evaluators
| Whether the GL_NV_evaluators extension was found.
bool | CS_GL_NV_fence
| Whether the GL_NV_fence extension was found.
bool | CS_GL_NV_float_buffer
| Whether the GL_NV_float_buffer extension was found.
bool | CS_GL_NV_fog_distance
| Whether the GL_NV_fog_distance extension was found.
bool | CS_GL_NV_fragment_program
| Whether the GL_NV_fragment_program extension was found.
bool | CS_GL_NV_gpu_program4
| Whether the GL_NV_gpu_program4 extension was found.
bool | CS_GL_NV_light_max_exponent
| Whether the GL_NV_light_max_exponent extension was found.
bool | CS_GL_NV_multisample_filter_hint
| Whether the GL_NV_multisample_filter_hint extension was found.
bool | CS_GL_NV_occlusion_query
| Whether the GL_NV_occlusion_query extension was found.
bool | CS_GL_NV_packed_depth_stencil
| Whether the GL_NV_packed_depth_stencil extension was found.
bool | CS_GL_NV_point_sprite
| Whether the GL_NV_point_sprite extension was found.
bool | CS_GL_NV_primitive_restart
| Whether the GL_NV_primitive_restart extension was found.
bool | CS_GL_NV_register_combiners
| Whether the GL_NV_register_combiners extension was found.
bool | CS_GL_NV_register_combiners2
| Whether the GL_NV_register_combiners2 extension was found.
bool | CS_GL_NV_texgen_emboss
| Whether the GL_NV_texgen_emboss extension was found.
bool | CS_GL_NV_texgen_reflection
| Whether the GL_NV_texgen_reflection extension was found.
bool | CS_GL_NV_texture_compression_vtc
| Whether the GL_NV_texture_compression_vtc extension was found.
bool | CS_GL_NV_texture_env_combine4
| Whether the GL_NV_texture_env_combine4 extension was found.
bool | CS_GL_NV_texture_rectangle
| Whether the GL_NV_texture_rectangle extension was found.
bool | CS_GL_NV_texture_shader
| Whether the GL_NV_texture_shader extension was found.
bool | CS_GL_NV_texture_shader2
| Whether the GL_NV_texture_shader2 extension was found.
bool | CS_GL_NV_texture_shader3
| Whether the GL_NV_texture_shader3 extension was found.
bool | CS_GL_NV_vertex_array_range
| Whether the GL_NV_vertex_array_range extension was found.
bool | CS_GL_NV_vertex_array_range2
| Whether the GL_NV_vertex_array_range2 extension was found.
bool | CS_GL_NV_vertex_program
| Whether the GL_NV_vertex_program extension was found.
bool | CS_GL_NV_vertex_program1_1
| Whether the GL_NV_vertex_program1_1 extension was found.
bool | CS_GL_NV_vertex_program2
| Whether the GL_NV_vertex_program2 extension was found.
bool | CS_GL_OML_interlace
| Whether the GL_OML_interlace extension was found.
bool | CS_GL_OML_resample
| Whether the GL_OML_resample extension was found.
bool | CS_GL_OML_subsample
| Whether the GL_OML_subsample extension was found.
bool | CS_GL_SGI_color_matrix
| Whether the GL_SGI_color_matrix extension was found.
bool | CS_GL_SGI_color_table
| Whether the GL_SGI_color_table extension was found.
bool | CS_GL_SGI_texture_color_table
| Whether the GL_SGI_texture_color_table extension was found.
bool | CS_GL_SGIS_depth_texture
| Whether the GL_SGIS_depth_texture extension was found.
bool | CS_GL_SGIS_generate_mipmap
| Whether the GL_SGIS_generate_mipmap extension was found.
bool | CS_GL_SGIS_multisample
| Whether the GL_SGIS_multisample extension was found.
bool | CS_GL_SGIS_pixel_texture
| Whether the GL_SGIS_pixel_texture extension was found.
bool | CS_GL_SGIS_texture_border_clamp
| Whether the GL_SGIS_texture_border_clamp extension was found.
bool | CS_GL_SGIS_texture_color_mask
| Whether the GL_SGIS_texture_color_mask extension was found.
bool | CS_GL_SGIS_texture_edge_clamp
| Whether the GL_SGIS_texture_edge_clamp extension was found.
bool | CS_GL_SGIS_texture_lod
| Whether the GL_SGIS_texture_lod extension was found.
bool | CS_GL_SGIX_fog_offset
| Whether the GL_SGIX_fog_offset extension was found.
bool | CS_GL_SGIX_interlace
| Whether the GL_SGIX_interlace extension was found.
bool | CS_GL_SGIX_shadow_ambient
| Whether the GL_SGIX_shadow_ambient extension was found.
bool | CS_GL_SUN_vertex
| Whether the GL_SUN_vertex extension was found.
bool | CS_GL_version_1_2
| Whether the corresponding GL version is supported.
bool | CS_GL_version_1_3
| Whether the corresponding GL version is supported.
bool | CS_GL_version_1_4
| Whether the corresponding GL version is supported.
bool | CS_GL_version_1_5
| Whether the corresponding GL version is supported.
bool | CS_GL_version_2_0
| Whether the corresponding GL version is supported.
bool | CS_GL_version_2_1
| Whether the corresponding GL version is supported.
bool | CS_GLX_ARB_framebuffer_sRGB
| Whether the GLX_ARB_framebuffer_sRGB extension was found.
bool | CS_GLX_ARB_multisample
| Whether the GLX_ARB_multisample extension was found.
bool | CS_InstancedDrawFuncs
| Whether the "InstancedDrawFuncs" pseudo-extension was found.
bool | CS_Queries
| Whether the "Queries" pseudo-extension was found.
bool | CS_Queries64
| Whether the "Queries64" pseudo-extension was found.
bool | CS_WGL_ARB_buffer_region
| Whether the WGL_ARB_buffer_region extension was found.
bool | CS_WGL_ARB_extensions_string
| Whether the WGL_ARB_extensions_string extension was found.
bool | CS_WGL_ARB_framebuffer_sRGB
| Whether the WGL_ARB_framebuffer_sRGB extension was found.
bool | CS_WGL_ARB_make_current_read
| Whether the WGL_ARB_make_current_read extension was found.
bool | CS_WGL_ARB_pbuffer
| Whether the WGL_ARB_pbuffer extension was found.
bool | CS_WGL_ARB_pixel_format
| Whether the WGL_ARB_pixel_format extension was found.
bool | CS_WGL_ARB_render_texture
| Whether the WGL_ARB_render_texture extension was found.
bool | CS_WGL_EXT_extensions_string
| Whether the WGL_EXT_extensions_string extension was found.
bool | CS_WGL_EXT_make_current_read
| Whether the WGL_EXT_make_current_read extension was found.
bool | CS_WGL_EXT_pbuffer
| Whether the WGL_EXT_pbuffer extension was found.
bool | CS_WGL_EXT_pixel_format
| Whether the WGL_EXT_pixel_format extension was found.
bool | CS_WGL_EXT_swap_control
| Whether the WGL_EXT_swap_control extension was found.
bool | CS_WGL_I3D_digital_video_control
| Whether the WGL_I3D_digital_video_control extension was found.
bool | CS_WGL_I3D_gamma
| Whether the WGL_I3D_gamma extension was found.
bool | CS_WGL_I3D_genlock
| Whether the WGL_I3D_genlock extension was found.
bool | CS_WGL_I3D_image_buffer
| Whether the WGL_I3D_image_buffer extension was found.
bool | CS_WGL_I3D_swap_frame_lock
| Whether the WGL_I3D_swap_frame_lock extension was found.
bool | CS_WGL_I3D_swap_frame_usage
| Whether the WGL_I3D_swap_frame_usage extension was found.

## Detailed Description

Struct containing all GL extension test flags.

Definition at line 17630 of file glextmanager.h.

## Member Data Documentation

bool csGLExtensionFlags::CS_GL_3DFX_texture_compression_FXT1

Whether the GL_3DFX_texture_compression_FXT1 extension was found.

Set by csGLExtensionManager::InitGL_3DFX_texture_compression_FXT1().

Definition at line 17944 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_AMD_seamless_cubemap_per_texture

Whether the GL_AMD_seamless_cubemap_per_texture extension was found.

Set by csGLExtensionManager::InitGL_AMD_seamless_cubemap_per_texture().

Definition at line 18205 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_APPLE_client_storage

Whether the GL_APPLE_client_storage extension was found.

Set by csGLExtensionManager::InitGL_APPLE_client_storage().

Definition at line 18028 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_APPLE_element_array

Whether the GL_APPLE_element_array extension was found.

Set by csGLExtensionManager::InitGL_APPLE_element_array().

Definition at line 18031 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_APPLE_fence

Whether the GL_APPLE_fence extension was found.

Set by csGLExtensionManager::InitGL_APPLE_fence().

Definition at line 18034 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_APPLE_vertex_array_object

Whether the GL_APPLE_vertex_array_object extension was found.

Set by csGLExtensionManager::InitGL_APPLE_vertex_array_object().

Definition at line 18037 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_APPLE_vertex_array_range

Whether the GL_APPLE_vertex_array_range extension was found.

Set by csGLExtensionManager::InitGL_APPLE_vertex_array_range().

Definition at line 18040 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_color_buffer_float

Whether the GL_ARB_color_buffer_float extension was found.

Set by csGLExtensionManager::InitGL_ARB_color_buffer_float().

Definition at line 18169 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_depth_buffer_float

Whether the GL_ARB_depth_buffer_float extension was found.

Set by csGLExtensionManager::InitGL_ARB_depth_buffer_float().

Definition at line 18184 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_depth_texture

Whether the GL_ARB_depth_texture extension was found.

Set by csGLExtensionManager::InitGL_ARB_depth_texture().

Definition at line 17683 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_draw_buffers

Whether the GL_ARB_draw_buffers extension was found.

Set by csGLExtensionManager::InitGL_ARB_draw_buffers().

Definition at line 18145 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_draw_instanced

Whether the GL_ARB_draw_instanced extension was found.

Set by csGLExtensionManager::InitGL_ARB_draw_instanced().

Definition at line 18181 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_fragment_program

Whether the GL_ARB_fragment_program extension was found.

Set by csGLExtensionManager::InitGL_ARB_fragment_program().

Definition at line 18022 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_fragment_shader

Whether the GL_ARB_fragment_shader extension was found.

Set by csGLExtensionManager::InitGL_ARB_fragment_shader().

Definition at line 18115 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_framebuffer_sRGB

Whether the GL_ARB_framebuffer_sRGB extension was found.

Set by csGLExtensionManager::InitGL_ARB_framebuffer_sRGB().

Definition at line 18172 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_half_float_pixel

Whether the GL_ARB_half_float_pixel extension was found.

Set by csGLExtensionManager::InitGL_ARB_half_float_pixel().

Definition at line 18160 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_half_float_vertex

Whether the GL_ARB_half_float_vertex extension was found.

Set by csGLExtensionManager::InitGL_ARB_half_float_vertex().

Definition at line 18190 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_imaging

Whether the GL_ARB_imaging extension was found.

Set by csGLExtensionManager::InitGL_ARB_imaging().

Definition at line 17656 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_instanced_arrays

Whether the GL_ARB_instanced_arrays extension was found.

Set by csGLExtensionManager::InitGL_ARB_instanced_arrays().

Definition at line 18187 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_map_buffer_range

Whether the GL_ARB_map_buffer_range extension was found.

Set by csGLExtensionManager::InitGL_ARB_map_buffer_range().

Definition at line 18193 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_matrix_palette

Whether the GL_ARB_matrix_palette extension was found.

Set by csGLExtensionManager::InitGL_ARB_matrix_palette().

Definition at line 18079 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_multisample

Whether the GL_ARB_multisample extension was found.

Set by csGLExtensionManager::InitGL_ARB_multisample().

Definition at line 17665 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_multitexture

Whether the GL_ARB_multitexture extension was found.

Set by csGLExtensionManager::InitGL_ARB_multitexture().

Definition at line 17659 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_occlusion_query

Whether the GL_ARB_occlusion_query extension was found.

Set by csGLExtensionManager::InitGL_ARB_occlusion_query().

Definition at line 18139 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_occlusion_query2

Whether the GL_ARB_occlusion_query2 extension was found.

Set by csGLExtensionManager::InitGL_ARB_occlusion_query2().

Definition at line 18142 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_pixel_buffer_object

Whether the GL_ARB_pixel_buffer_object extension was found.

Set by csGLExtensionManager::InitGL_ARB_pixel_buffer_object().

Definition at line 18121 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_point_parameters

Whether the GL_ARB_point_parameters extension was found.

Set by csGLExtensionManager::InitGL_ARB_point_parameters().

Definition at line 17686 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_point_sprite

Whether the GL_ARB_point_sprite extension was found.

Set by csGLExtensionManager::InitGL_ARB_point_sprite().

Definition at line 18106 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_seamless_cube_map

Whether the GL_ARB_seamless_cube_map extension was found.

Set by csGLExtensionManager::InitGL_ARB_seamless_cube_map().

Definition at line 18202 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_shader_objects

Whether the GL_ARB_shader_objects extension was found.

Set by csGLExtensionManager::InitGL_ARB_shader_objects().

Definition at line 18112 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_shading_language_100

Whether the GL_ARB_shading_language_100 extension was found.

Set by csGLExtensionManager::InitGL_ARB_shading_language_100().

Definition at line 18109 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_shadow

Whether the GL_ARB_shadow extension was found.

Set by csGLExtensionManager::InitGL_ARB_shadow().

Definition at line 17689 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_shadow_ambient

Whether the GL_ARB_shadow_ambient extension was found.

Set by csGLExtensionManager::InitGL_ARB_shadow_ambient().

Definition at line 17692 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_texture_border_clamp

Whether the GL_ARB_texture_border_clamp extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_border_clamp().

Definition at line 17695 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_texture_compression

Whether the GL_ARB_texture_compression extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_compression().

Definition at line 17698 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_texture_compression_rgtc

Whether the GL_ARB_texture_compression_rgtc extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_compression_rgtc().

Definition at line 18196 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_texture_cube_map

Whether the GL_ARB_texture_cube_map extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_cube_map().

Definition at line 17680 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_texture_env_add

Whether the GL_ARB_texture_env_add extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_env_add().

Definition at line 17671 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_texture_env_combine

Whether the GL_ARB_texture_env_combine extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_env_combine().

Definition at line 17701 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_texture_env_crossbar

Whether the GL_ARB_texture_env_crossbar extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_env_crossbar().

Definition at line 17704 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_texture_env_dot3

Whether the GL_ARB_texture_env_dot3 extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_env_dot3().

Definition at line 17707 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_texture_float

Whether the GL_ARB_texture_float extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_float().

Definition at line 18157 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_texture_mirrored_repeat

Whether the GL_ARB_texture_mirrored_repeat extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_mirrored_repeat().

Definition at line 17710 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_texture_non_power_of_two

Whether the GL_ARB_texture_non_power_of_two extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_non_power_of_two().

Definition at line 18103 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_texture_rectangle

Whether the GL_ARB_texture_rectangle extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_rectangle().

Definition at line 18124 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_texture_rg

Whether the GL_ARB_texture_rg extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_rg().

Definition at line 18199 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_timer_query

Whether the GL_ARB_timer_query extension was found.

Set by csGLExtensionManager::InitGL_ARB_timer_query().

Definition at line 18208 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_transpose_matrix

Whether the GL_ARB_transpose_matrix extension was found.

Set by csGLExtensionManager::InitGL_ARB_transpose_matrix().

Definition at line 17662 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_vertex_blend

Whether the GL_ARB_vertex_blend extension was found.

Set by csGLExtensionManager::InitGL_ARB_vertex_blend().

Definition at line 17713 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_vertex_buffer_object

Whether the GL_ARB_vertex_buffer_object extension was found.

Set by csGLExtensionManager::InitGL_ARB_vertex_buffer_object().

Definition at line 18097 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_vertex_program

Whether the GL_ARB_vertex_program extension was found.

Set by csGLExtensionManager::InitGL_ARB_vertex_program().

Definition at line 17716 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_vertex_shader

Whether the GL_ARB_vertex_shader extension was found.

Set by csGLExtensionManager::InitGL_ARB_vertex_shader().

Definition at line 18118 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ARB_window_pos

Whether the GL_ARB_window_pos extension was found.

Set by csGLExtensionManager::InitGL_ARB_window_pos().

Definition at line 17719 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ATI_element_array

Whether the GL_ATI_element_array extension was found.

Set by csGLExtensionManager::InitGL_ATI_element_array().

Definition at line 17911 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ATI_envmap_bumpmap

Whether the GL_ATI_envmap_bumpmap extension was found.

Set by csGLExtensionManager::InitGL_ATI_envmap_bumpmap().

Definition at line 17914 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ATI_fragment_shader

Whether the GL_ATI_fragment_shader extension was found.

Set by csGLExtensionManager::InitGL_ATI_fragment_shader().

Definition at line 17917 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ATI_pn_triangles

Whether the GL_ATI_pn_triangles extension was found.

Set by csGLExtensionManager::InitGL_ATI_pn_triangles().

Definition at line 17920 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ATI_separate_stencil

Whether the GL_ATI_separate_stencil extension was found.

Set by csGLExtensionManager::InitGL_ATI_separate_stencil().

Definition at line 18100 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ATI_text_fragment_shader

Whether the GL_ATI_text_fragment_shader extension was found.

Set by csGLExtensionManager::InitGL_ATI_text_fragment_shader().

Definition at line 18025 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ATI_texture_mirror_once

Whether the GL_ATI_texture_mirror_once extension was found.

Set by csGLExtensionManager::InitGL_ATI_texture_mirror_once().

Definition at line 17923 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ATI_vertex_array_object

Whether the GL_ATI_vertex_array_object extension was found.

Set by csGLExtensionManager::InitGL_ATI_vertex_array_object().

Definition at line 17926 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ATI_vertex_attrib_array_object

Whether the GL_ATI_vertex_attrib_array_object extension was found.

Set by csGLExtensionManager::InitGL_ATI_vertex_attrib_array_object().

Definition at line 17929 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_ATI_vertex_streams

Whether the GL_ATI_vertex_streams extension was found.

Set by csGLExtensionManager::InitGL_ATI_vertex_streams().

Definition at line 17932 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_422_pixels

Whether the GL_EXT_422_pixels extension was found.

Set by csGLExtensionManager::InitGL_EXT_422_pixels().

Definition at line 17722 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_abgr

Whether the GL_EXT_abgr extension was found.

Set by csGLExtensionManager::InitGL_EXT_abgr().

Definition at line 17725 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_bgra

Whether the GL_EXT_bgra extension was found.

Set by csGLExtensionManager::InitGL_EXT_bgra().

Definition at line 17728 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_blend_color

Whether the GL_EXT_blend_color extension was found.

Set by csGLExtensionManager::InitGL_EXT_blend_color().

Definition at line 17731 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_blend_equation_separate

Whether the GL_EXT_blend_equation_separate extension was found.

Set by csGLExtensionManager::InitGL_EXT_blend_equation_separate().

Definition at line 18148 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_blend_func_separate

Whether the GL_EXT_blend_func_separate extension was found.

Set by csGLExtensionManager::InitGL_EXT_blend_func_separate().

Definition at line 17734 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_blend_logic_op

Whether the GL_EXT_blend_logic_op extension was found.

Set by csGLExtensionManager::InitGL_EXT_blend_logic_op().

Definition at line 17737 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_blend_minmax

Whether the GL_EXT_blend_minmax extension was found.

Set by csGLExtensionManager::InitGL_EXT_blend_minmax().

Definition at line 17740 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_blend_subtract

Whether the GL_EXT_blend_subtract extension was found.

Set by csGLExtensionManager::InitGL_EXT_blend_subtract().

Definition at line 17743 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_clip_volume_hint

Whether the GL_EXT_clip_volume_hint extension was found.

Set by csGLExtensionManager::InitGL_EXT_clip_volume_hint().

Definition at line 17746 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_color_subtable

Whether the GL_EXT_color_subtable extension was found.

Set by csGLExtensionManager::InitGL_EXT_color_subtable().

Definition at line 17749 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_compiled_vertex_array

Whether the GL_EXT_compiled_vertex_array extension was found.

Set by csGLExtensionManager::InitGL_EXT_compiled_vertex_array().

Definition at line 17752 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_convolution

Whether the GL_EXT_convolution extension was found.

Set by csGLExtensionManager::InitGL_EXT_convolution().

Definition at line 17755 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_fog_coord

Whether the GL_EXT_fog_coord extension was found.

Set by csGLExtensionManager::InitGL_EXT_fog_coord().

Definition at line 17758 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_framebuffer_object

Whether the GL_EXT_framebuffer_object extension was found.

Set by csGLExtensionManager::InitGL_EXT_framebuffer_object().

Definition at line 18127 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_gpu_program_parameters

Whether the GL_EXT_gpu_program_parameters extension was found.

Set by csGLExtensionManager::InitGL_EXT_gpu_program_parameters().

Definition at line 18166 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_histogram

Whether the GL_EXT_histogram extension was found.

Set by csGLExtensionManager::InitGL_EXT_histogram().

Definition at line 17761 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_multi_draw_arrays

Whether the GL_EXT_multi_draw_arrays extension was found.

Set by csGLExtensionManager::InitGL_EXT_multi_draw_arrays().

Definition at line 17764 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_packed_depth_stencil

Whether the GL_EXT_packed_depth_stencil extension was found.

Set by csGLExtensionManager::InitGL_EXT_packed_depth_stencil().

Definition at line 18154 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_packed_pixels

Whether the GL_EXT_packed_pixels extension was found.

Set by csGLExtensionManager::InitGL_EXT_packed_pixels().

Definition at line 17767 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_paletted_texture

Whether the GL_EXT_paletted_texture extension was found.

Set by csGLExtensionManager::InitGL_EXT_paletted_texture().

Definition at line 17770 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_pixel_buffer_object

Whether the GL_EXT_pixel_buffer_object extension was found.

Set by csGLExtensionManager::InitGL_EXT_pixel_buffer_object().

Definition at line 18130 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_point_parameters

Whether the GL_EXT_point_parameters extension was found.

Set by csGLExtensionManager::InitGL_EXT_point_parameters().

Definition at line 17773 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_polygon_offset

Whether the GL_EXT_polygon_offset extension was found.

Set by csGLExtensionManager::InitGL_EXT_polygon_offset().

Definition at line 17776 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_secondary_color

Whether the GL_EXT_secondary_color extension was found.

Set by csGLExtensionManager::InitGL_EXT_secondary_color().

Definition at line 17779 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_separate_specular_color

Whether the GL_EXT_separate_specular_color extension was found.

Set by csGLExtensionManager::InitGL_EXT_separate_specular_color().

Definition at line 17782 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_shadow_funcs

Whether the GL_EXT_shadow_funcs extension was found.

Set by csGLExtensionManager::InitGL_EXT_shadow_funcs().

Definition at line 17785 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_shared_texture_palette

Whether the GL_EXT_shared_texture_palette extension was found.

Set by csGLExtensionManager::InitGL_EXT_shared_texture_palette().

Definition at line 17788 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_stencil_two_side

Whether the GL_EXT_stencil_two_side extension was found.

Set by csGLExtensionManager::InitGL_EXT_stencil_two_side().

Definition at line 17791 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_stencil_wrap

Whether the GL_EXT_stencil_wrap extension was found.

Set by csGLExtensionManager::InitGL_EXT_stencil_wrap().

Definition at line 17794 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_subtexture

Whether the GL_EXT_subtexture extension was found.

Set by csGLExtensionManager::InitGL_EXT_subtexture().

Definition at line 17797 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_texture3D

Whether the GL_EXT_texture3D extension was found.

Set by csGLExtensionManager::InitGL_EXT_texture3D().

Definition at line 17800 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_texture_compression_s3tc

Whether the GL_EXT_texture_compression_s3tc extension was found.

Set by csGLExtensionManager::InitGL_EXT_texture_compression_s3tc().

Definition at line 17803 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_texture_env_add

Whether the GL_EXT_texture_env_add extension was found.

Set by csGLExtensionManager::InitGL_EXT_texture_env_add().

Definition at line 17806 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_texture_env_combine

Whether the GL_EXT_texture_env_combine extension was found.

Set by csGLExtensionManager::InitGL_EXT_texture_env_combine().

Definition at line 17809 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_texture_env_dot3

Whether the GL_EXT_texture_env_dot3 extension was found.

Set by csGLExtensionManager::InitGL_EXT_texture_env_dot3().

Definition at line 17812 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_texture_filter_anisotropic

Whether the GL_EXT_texture_filter_anisotropic extension was found.

Set by csGLExtensionManager::InitGL_EXT_texture_filter_anisotropic().

Definition at line 17815 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_texture_lod_bias

Whether the GL_EXT_texture_lod_bias extension was found.

Set by csGLExtensionManager::InitGL_EXT_texture_lod_bias().

Definition at line 17818 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_texture_object

Whether the GL_EXT_texture_object extension was found.

Set by csGLExtensionManager::InitGL_EXT_texture_object().

Definition at line 17821 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_texture_rectangle

Whether the GL_EXT_texture_rectangle extension was found.

Set by csGLExtensionManager::InitGL_EXT_texture_rectangle().

Definition at line 18136 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_texture_sRGB

Whether the GL_EXT_texture_sRGB extension was found.

Set by csGLExtensionManager::InitGL_EXT_texture_sRGB().

Definition at line 18151 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_vertex_array

Whether the GL_EXT_vertex_array extension was found.

Set by csGLExtensionManager::InitGL_EXT_vertex_array().

Definition at line 17824 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_vertex_shader

Whether the GL_EXT_vertex_shader extension was found.

Set by csGLExtensionManager::InitGL_EXT_vertex_shader().

Definition at line 17827 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_EXT_vertex_weighting

Whether the GL_EXT_vertex_weighting extension was found.

Set by csGLExtensionManager::InitGL_EXT_vertex_weighting().

Definition at line 17830 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_GREMEDY_string_marker

Whether the GL_GREMEDY_string_marker extension was found.

Set by csGLExtensionManager::InitGL_GREMEDY_string_marker().

Definition at line 18133 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_HP_occlusion_test

Whether the GL_HP_occlusion_test extension was found.

Set by csGLExtensionManager::InitGL_HP_occlusion_test().

Definition at line 17833 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_IBM_cull_vertex

Whether the GL_IBM_cull_vertex extension was found.

Set by csGLExtensionManager::InitGL_IBM_cull_vertex().

Definition at line 17947 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_IBM_multimode_draw_arrays

Whether the GL_IBM_multimode_draw_arrays extension was found.

Set by csGLExtensionManager::InitGL_IBM_multimode_draw_arrays().

Definition at line 17950 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_IBM_raster_pos_clip

Whether the GL_IBM_raster_pos_clip extension was found.

Set by csGLExtensionManager::InitGL_IBM_raster_pos_clip().

Definition at line 17953 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_IBM_texture_mirrored_repeat

Whether the GL_IBM_texture_mirrored_repeat extension was found.

Set by csGLExtensionManager::InitGL_IBM_texture_mirrored_repeat().

Definition at line 17956 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_IBM_vertex_array_lists

Whether the GL_IBM_vertex_array_lists extension was found.

Set by csGLExtensionManager::InitGL_IBM_vertex_array_lists().

Definition at line 17959 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_MESA_resize_buffers

Whether the GL_MESA_resize_buffers extension was found.

Set by csGLExtensionManager::InitGL_MESA_resize_buffers().

Definition at line 17962 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_MESA_window_pos

Whether the GL_MESA_window_pos extension was found.

Set by csGLExtensionManager::InitGL_MESA_window_pos().

Definition at line 17965 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_blend_square

Whether the GL_NV_blend_square extension was found.

Set by csGLExtensionManager::InitGL_NV_blend_square().

Definition at line 17836 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_copy_depth_to_color

Whether the GL_NV_copy_depth_to_color extension was found.

Set by csGLExtensionManager::InitGL_NV_copy_depth_to_color().

Definition at line 17839 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_depth_clamp

Whether the GL_NV_depth_clamp extension was found.

Set by csGLExtensionManager::InitGL_NV_depth_clamp().

Definition at line 17842 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_element_array

Whether the GL_NV_element_array extension was found.

Set by csGLExtensionManager::InitGL_NV_element_array().

Definition at line 18082 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_evaluators

Whether the GL_NV_evaluators extension was found.

Set by csGLExtensionManager::InitGL_NV_evaluators().

Definition at line 17845 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_fence

Whether the GL_NV_fence extension was found.

Set by csGLExtensionManager::InitGL_NV_fence().

Definition at line 17848 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_float_buffer

Whether the GL_NV_float_buffer extension was found.

Set by csGLExtensionManager::InitGL_NV_float_buffer().

Definition at line 18085 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_fog_distance

Whether the GL_NV_fog_distance extension was found.

Set by csGLExtensionManager::InitGL_NV_fog_distance().

Definition at line 17851 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_fragment_program

Whether the GL_NV_fragment_program extension was found.

Set by csGLExtensionManager::InitGL_NV_fragment_program().

Definition at line 18088 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_gpu_program4

Whether the GL_NV_gpu_program4 extension was found.

Set by csGLExtensionManager::InitGL_NV_gpu_program4().

Definition at line 18163 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_light_max_exponent

Whether the GL_NV_light_max_exponent extension was found.

Set by csGLExtensionManager::InitGL_NV_light_max_exponent().

Definition at line 17854 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_multisample_filter_hint

Whether the GL_NV_multisample_filter_hint extension was found.

Set by csGLExtensionManager::InitGL_NV_multisample_filter_hint().

Definition at line 17857 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_occlusion_query

Whether the GL_NV_occlusion_query extension was found.

Set by csGLExtensionManager::InitGL_NV_occlusion_query().

Definition at line 17860 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_packed_depth_stencil

Whether the GL_NV_packed_depth_stencil extension was found.

Set by csGLExtensionManager::InitGL_NV_packed_depth_stencil().

Definition at line 17863 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_point_sprite

Whether the GL_NV_point_sprite extension was found.

Set by csGLExtensionManager::InitGL_NV_point_sprite().

Definition at line 17866 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_primitive_restart

Whether the GL_NV_primitive_restart extension was found.

Set by csGLExtensionManager::InitGL_NV_primitive_restart().

Definition at line 18091 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_register_combiners

Whether the GL_NV_register_combiners extension was found.

Set by csGLExtensionManager::InitGL_NV_register_combiners().

Definition at line 17869 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_register_combiners2

Whether the GL_NV_register_combiners2 extension was found.

Set by csGLExtensionManager::InitGL_NV_register_combiners2().

Definition at line 17872 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_texgen_emboss

Whether the GL_NV_texgen_emboss extension was found.

Set by csGLExtensionManager::InitGL_NV_texgen_emboss().

Definition at line 17875 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_texgen_reflection

Whether the GL_NV_texgen_reflection extension was found.

Set by csGLExtensionManager::InitGL_NV_texgen_reflection().

Definition at line 17878 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_texture_compression_vtc

Whether the GL_NV_texture_compression_vtc extension was found.

Set by csGLExtensionManager::InitGL_NV_texture_compression_vtc().

Definition at line 17881 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_texture_env_combine4

Whether the GL_NV_texture_env_combine4 extension was found.

Set by csGLExtensionManager::InitGL_NV_texture_env_combine4().

Definition at line 17884 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_texture_rectangle

Whether the GL_NV_texture_rectangle extension was found.

Set by csGLExtensionManager::InitGL_NV_texture_rectangle().

Definition at line 17887 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_texture_shader

Whether the GL_NV_texture_shader extension was found.

Set by csGLExtensionManager::InitGL_NV_texture_shader().

Definition at line 17890 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_texture_shader2

Whether the GL_NV_texture_shader2 extension was found.

Set by csGLExtensionManager::InitGL_NV_texture_shader2().

Definition at line 17893 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_texture_shader3

Whether the GL_NV_texture_shader3 extension was found.

Set by csGLExtensionManager::InitGL_NV_texture_shader3().

Definition at line 17896 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_vertex_array_range

Whether the GL_NV_vertex_array_range extension was found.

Set by csGLExtensionManager::InitGL_NV_vertex_array_range().

Definition at line 17899 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_vertex_array_range2

Whether the GL_NV_vertex_array_range2 extension was found.

Set by csGLExtensionManager::InitGL_NV_vertex_array_range2().

Definition at line 17902 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_vertex_program

Whether the GL_NV_vertex_program extension was found.

Set by csGLExtensionManager::InitGL_NV_vertex_program().

Definition at line 17905 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_vertex_program1_1

Whether the GL_NV_vertex_program1_1 extension was found.

Set by csGLExtensionManager::InitGL_NV_vertex_program1_1().

Definition at line 17908 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_NV_vertex_program2

Whether the GL_NV_vertex_program2 extension was found.

Set by csGLExtensionManager::InitGL_NV_vertex_program2().

Definition at line 18094 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_OML_interlace

Whether the GL_OML_interlace extension was found.

Set by csGLExtensionManager::InitGL_OML_interlace().

Definition at line 17968 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_OML_resample

Whether the GL_OML_resample extension was found.

Set by csGLExtensionManager::InitGL_OML_resample().

Definition at line 17971 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_OML_subsample

Whether the GL_OML_subsample extension was found.

Set by csGLExtensionManager::InitGL_OML_subsample().

Definition at line 17974 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_SGI_color_matrix

Whether the GL_SGI_color_matrix extension was found.

Set by csGLExtensionManager::InitGL_SGI_color_matrix().

Definition at line 18010 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_SGI_color_table

Whether the GL_SGI_color_table extension was found.

Set by csGLExtensionManager::InitGL_SGI_color_table().

Definition at line 18013 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_SGI_texture_color_table

Whether the GL_SGI_texture_color_table extension was found.

Set by csGLExtensionManager::InitGL_SGI_texture_color_table().

Definition at line 18016 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_SGIS_depth_texture

Whether the GL_SGIS_depth_texture extension was found.

Set by csGLExtensionManager::InitGL_SGIS_depth_texture().

Definition at line 17998 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_SGIS_generate_mipmap

Whether the GL_SGIS_generate_mipmap extension was found.

Set by csGLExtensionManager::InitGL_SGIS_generate_mipmap().

Definition at line 17977 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_SGIS_multisample

Whether the GL_SGIS_multisample extension was found.

Set by csGLExtensionManager::InitGL_SGIS_multisample().

Definition at line 17980 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_SGIS_pixel_texture

Whether the GL_SGIS_pixel_texture extension was found.

Set by csGLExtensionManager::InitGL_SGIS_pixel_texture().

Definition at line 17983 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_SGIS_texture_border_clamp

Whether the GL_SGIS_texture_border_clamp extension was found.

Set by csGLExtensionManager::InitGL_SGIS_texture_border_clamp().

Definition at line 17986 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_SGIS_texture_color_mask

Whether the GL_SGIS_texture_color_mask extension was found.

Set by csGLExtensionManager::InitGL_SGIS_texture_color_mask().

Definition at line 17989 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_SGIS_texture_edge_clamp

Whether the GL_SGIS_texture_edge_clamp extension was found.

Set by csGLExtensionManager::InitGL_SGIS_texture_edge_clamp().

Definition at line 17992 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_SGIS_texture_lod

Whether the GL_SGIS_texture_lod extension was found.

Set by csGLExtensionManager::InitGL_SGIS_texture_lod().

Definition at line 17995 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_SGIX_fog_offset

Whether the GL_SGIX_fog_offset extension was found.

Set by csGLExtensionManager::InitGL_SGIX_fog_offset().

Definition at line 18001 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_SGIX_interlace

Whether the GL_SGIX_interlace extension was found.

Set by csGLExtensionManager::InitGL_SGIX_interlace().

Definition at line 18004 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_SGIX_shadow_ambient

Whether the GL_SGIX_shadow_ambient extension was found.

Set by csGLExtensionManager::InitGL_SGIX_shadow_ambient().

Definition at line 18007 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_SUN_vertex

Whether the GL_SUN_vertex extension was found.

Set by csGLExtensionManager::InitGL_SUN_vertex().

Definition at line 18019 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_version_1_2

Whether the corresponding GL version is supported.

Definition at line 17634 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_version_1_3

Whether the corresponding GL version is supported.

Definition at line 17636 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_version_1_4

Whether the corresponding GL version is supported.

Definition at line 17638 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_version_1_5

Whether the corresponding GL version is supported.

Definition at line 17640 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_version_2_0

Whether the corresponding GL version is supported.

Definition at line 17642 of file glextmanager.h.

bool csGLExtensionFlags::CS_GL_version_2_1

Whether the corresponding GL version is supported.

Definition at line 17644 of file glextmanager.h.

bool csGLExtensionFlags::CS_GLX_ARB_framebuffer_sRGB

Whether the GLX_ARB_framebuffer_sRGB extension was found.

Set by csGLExtensionManager::InitGLX_ARB_framebuffer_sRGB().

Definition at line 18175 of file glextmanager.h.

bool csGLExtensionFlags::CS_GLX_ARB_multisample

Whether the GLX_ARB_multisample extension was found.

Set by csGLExtensionManager::InitGLX_ARB_multisample().

Definition at line 17668 of file glextmanager.h.

bool csGLExtensionFlags::CS_InstancedDrawFuncs

Whether the "InstancedDrawFuncs" pseudo-extension was found.

Set by csGLExtensionManager::InitInstancedDrawFuncs().

Definition at line 17653 of file glextmanager.h.

bool csGLExtensionFlags::CS_Queries

Whether the "Queries" pseudo-extension was found.

Set by csGLExtensionManager::InitQueries().

Definition at line 17647 of file glextmanager.h.

bool csGLExtensionFlags::CS_Queries64

Whether the "Queries64" pseudo-extension was found.

Set by csGLExtensionManager::InitQueries64().

Definition at line 17650 of file glextmanager.h.

bool csGLExtensionFlags::CS_WGL_ARB_buffer_region

Whether the WGL_ARB_buffer_region extension was found.

Set by csGLExtensionManager::InitWGL_ARB_buffer_region().

Definition at line 17677 of file glextmanager.h.

bool csGLExtensionFlags::CS_WGL_ARB_extensions_string

Whether the WGL_ARB_extensions_string extension was found.

Set by csGLExtensionManager::InitWGL_ARB_extensions_string().

Definition at line 17674 of file glextmanager.h.

bool csGLExtensionFlags::CS_WGL_ARB_framebuffer_sRGB

Whether the WGL_ARB_framebuffer_sRGB extension was found.

Set by csGLExtensionManager::InitWGL_ARB_framebuffer_sRGB().

Definition at line 18178 of file glextmanager.h.

bool csGLExtensionFlags::CS_WGL_ARB_make_current_read

Whether the WGL_ARB_make_current_read extension was found.

Set by csGLExtensionManager::InitWGL_ARB_make_current_read().

Definition at line 18046 of file glextmanager.h.

bool csGLExtensionFlags::CS_WGL_ARB_pbuffer

Whether the WGL_ARB_pbuffer extension was found.

Set by csGLExtensionManager::InitWGL_ARB_pbuffer().

Definition at line 18049 of file glextmanager.h.

bool csGLExtensionFlags::CS_WGL_ARB_pixel_format

Whether the WGL_ARB_pixel_format extension was found.

Set by csGLExtensionManager::InitWGL_ARB_pixel_format().

Definition at line 18043 of file glextmanager.h.

bool csGLExtensionFlags::CS_WGL_ARB_render_texture

Whether the WGL_ARB_render_texture extension was found.

Set by csGLExtensionManager::InitWGL_ARB_render_texture().

Definition at line 18055 of file glextmanager.h.

bool csGLExtensionFlags::CS_WGL_EXT_extensions_string

Whether the WGL_EXT_extensions_string extension was found.

Set by csGLExtensionManager::InitWGL_EXT_extensions_string().

Definition at line 18058 of file glextmanager.h.

bool csGLExtensionFlags::CS_WGL_EXT_make_current_read

Whether the WGL_EXT_make_current_read extension was found.

Set by csGLExtensionManager::InitWGL_EXT_make_current_read().

Definition at line 18061 of file glextmanager.h.

bool csGLExtensionFlags::CS_WGL_EXT_pbuffer

Whether the WGL_EXT_pbuffer extension was found.

Set by csGLExtensionManager::InitWGL_EXT_pbuffer().

Definition at line 18064 of file glextmanager.h.

bool csGLExtensionFlags::CS_WGL_EXT_pixel_format

Whether the WGL_EXT_pixel_format extension was found.

Set by csGLExtensionManager::InitWGL_EXT_pixel_format().

Definition at line 18067 of file glextmanager.h.

bool csGLExtensionFlags::CS_WGL_EXT_swap_control

Whether the WGL_EXT_swap_control extension was found.

Set by csGLExtensionManager::InitWGL_EXT_swap_control().

Definition at line 18052 of file glextmanager.h.

bool csGLExtensionFlags::CS_WGL_I3D_digital_video_control

Whether the WGL_I3D_digital_video_control extension was found.

Set by csGLExtensionManager::InitWGL_I3D_digital_video_control().

Definition at line 18070 of file glextmanager.h.

bool csGLExtensionFlags::CS_WGL_I3D_gamma

Whether the WGL_I3D_gamma extension was found.

Set by csGLExtensionManager::InitWGL_I3D_gamma().

Definition at line 18073 of file glextmanager.h.

bool csGLExtensionFlags::CS_WGL_I3D_genlock

Whether the WGL_I3D_genlock extension was found.

Set by csGLExtensionManager::InitWGL_I3D_genlock().

Definition at line 18076 of file glextmanager.h.

bool csGLExtensionFlags::CS_WGL_I3D_image_buffer

Whether the WGL_I3D_image_buffer extension was found.

Set by csGLExtensionManager::InitWGL_I3D_image_buffer().

Definition at line 17935 of file glextmanager.h.

bool csGLExtensionFlags::CS_WGL_I3D_swap_frame_lock

Whether the WGL_I3D_swap_frame_lock extension was found.

Set by csGLExtensionManager::InitWGL_I3D_swap_frame_lock().

Definition at line 17938 of file glextmanager.h.

bool csGLExtensionFlags::CS_WGL_I3D_swap_frame_usage

Whether the WGL_I3D_swap_frame_usage extension was found.

Set by csGLExtensionManager::InitWGL_I3D_swap_frame_usage().

Definition at line 17941 of file glextmanager.h.

The documentation for this struct was generated from the following file:

- csplugincommon/opengl/glextmanager.h